TAAS - Feature #29

Admin Settings
08/23/2022 11:29 AM - Anil KV

Status: New Changes Coding Done Start date: 08/23/2022
Priority: Normal Due date: 08/30/2022
Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 24:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 30.00 Code Reviewed By:

Module: Admin Settings

Description

Coding Admin Settings

History

#1 - 08/24/2022 01:59 PM - Anil KV

Same as System settings

#2 - 08/30/2022 02:50 PM - Shanto Shaji
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 09/02/2022 09:44 AM - Shanto Shaji

- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 40 to 30

- Time Taken(HH) set to 30.00

#4 - 11/24/2022 09:54 AM - Shanto Shaji
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#5 - 12/08/2022 10:51 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1. ADD PAGE NUMBER INFORMATION AT THE BOTTOM OF LIST

(TOTAL PAGE COUNT AND CURRENT PAGE NUMBER)
eg: page 1 of 100
#6 - 12/08/2022 01:55 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 03/04/2023 02:33 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED *****
1.Fix bugs on Selection box - Drop down button
GEERAL PRIVILAGE --> CURRENCY
SALE & REFUND
(Button missing)

2.Fix bugs on 'Module Privilage'
(Tree alignment- While translation)
3.Spell check - Module Privilage (TO DO)

#8 - 03/29/2023 02:52 PM - Shanto Shaji
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

To Do

When Choosing Arabic Gid Allighnment Chnage to right

#9 - 04/18/2023 11:29 AM - Shanto Shaji
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#10 - 07/05/2023 05:42 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.BUG ON EDITING TOOL IN THE FEATURE PRIVILEGE
2.CHOOSING ALL OPTIONS WHILE EDITING (FEATURE PRIVILEGE)

#11 - 07/22/2023 03:38 PM - Anil KV

New ltems

1) SOA_SKIP_SETTILED_DOCUMENTS_AFTER_TO_DATE_BASED_ON_DATE
2) ACCOUNT_NAMES_SHOWING_DISPLAY_NAME

3) FINANCIAL_REPORTS_DISPLAY_STYLE

4) FINANCIAL_REPORTS_TREE_STYLE_EXPAND

5) TRIAL_BALANCE_CUSTOM_EXPAND_LEVEL --Rename

6) BALANCE_SHEET_CUSTOM_EXPAND_LEVEL

7) PROFIT_AND_LOSS_REPORT_CUSTOM_EXPAND_LEVEL

#12 - 08/20/2023 02:45 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#14 - 10/12/2023 05:31 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED
1.SHOWING RESTRICTED CONFIGURATION SET IN SYSTEM SETTINGS TO ADMIN SETTINGS
#15 - 10/12/2023 05:35 PM - unnikannan S
unnikannan S wrote in #note-14:
ISSUE FOUNDED

1.SHOWING RESTRICTED CONFIGURATION SET IN SYSTEM SETTINGS TO ADMIN SETTINGS
2.SHOWING RESTRICTED CONFIGURAION SET IN ADMIN SETTINGS TO USER & USER RELATED MODULES
#16 - 11/03/2023 02:25 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 12/02/2023 05:37 PM - Junaid M

Ul Changes:

Add Section

1) Agent Commission (Group) -> SET_AGENT_COMMISSION_BASED_ON
2) Set Fee/Discount (Group) -> SET_FEE_DISCOUNT_BASED_ON

3) Bank (Group) -> SAME_BANK_CHECKING_BASED_ON

#18 - 02/20/2024 02:53 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI CHANGE

->Issue/Cancel Group

- 'Pax Profile Is ' Select box - mandatory, mandatory and load a General Pax, Not Mandatory (Default), Not Man
datory and Hide

*If Not mandatory then pax is Mandtory

#19 - 02/22/2024 09:14 PM - Junaid M
GUI CHANGE

-> In Documents
FIXED - Add -> Delete Last Document the restore the document number-checkbox

--> Assets

FIXED - - Depreciation Period --> Yearly(Financial Year)(Default), Half-Yearly, Quarterly, Mothly - Selectionbox

FIXED - - Allow Change Depreciation Based On change in Assets Master --> Checkbox - Untick

FIXED - - Depreciation Based On --> Purchase Value(Straight Line Depreciation Method), Current Value(Diminishing Balance Method)

FIXED - - Allow Change Depreciation Start Date in Assets Master --> Checkbox - Untick

FIXED - - Depreciation Start Date --> Pucrchase Date(Day wise Depreciation Calculated)(Default), Depreciation Period Start Date, Depreciation
Period Start/Next Period Start Date based on purchase Date(1st half then Start, 2nd Half then Next Start)

FIXED - - Allow to change Depreciation % in Assets Master after Depreciation --> Checkbox - Untick
FIXED - - Assets wise Change Accumulated Depreciation and Depreciation Account --> Checkbox - Untick
FIXED - - Depreciation Debit Account --> Assets(Default), Accumulated Depreciation Account --> Selectionbox

#20 - 02/27/2024 11:17 AM - unnikannan S

- Status changed from Reopen Bugs to New Changes

#21 - 03/07/2024 08:15 PM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#22 - 04/18/2024 01:10 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Item System Settings From Module Privilege

#23 - 04/23/2024 10:00 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#24 - 04/23/2024 12:21 PM - unnikannan S
TESTING DONE

#25 - 06/27/2024 04:03 PM - Junaid M
Add New Section in Admin Settings

1. Booking System Integration

-> Refund Void Case (Ticket Only) [Selectbox]

option 1 -> Sale&Refund Seperate (*Default)

option 2 -> Move to direct void (All fare components in Issue & Cancel record should be same) *in this option do validation, issue date cancel date,
issue sup, customer amount cancel sup, customer amount

option 3 -> Auto/Both (If same value in issue, cancel(input) fare component then apply direct void, otherwise keep seperate (sale&refund))

#26 - 06/27/2024 04:04 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

Add new settings --> Assets

ADDED - 1.[Checkbox] Need Assets Allocation posting(Based on Current Assets Value). Sys Name -> "NEED_ASSET_ALLOCATION_POSTING"
ADDED - 2.[Selectbox] Assets Alloction then Depreciation Calulate Sys name -> "ASSET_ALLOCATION_THEN_DEPRECIATION_CALCULATE"

#27 - 07/04/2024 10:33 AM - Anonymous

- Assignee changed from Baseem Shan to Athul P

#28 - 07/04/2024 06:21 PM - Junaid M
- Status changed from New Changes to New Changes Coding Done
- Assignee changed from Athul P to Baseem Shan

- % Done changed from 50 to 70

#29 - 08/05/2024 07:25 PM - Junaid M
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

#30 - 08/07/2024 06:21 PM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#31 - 08/19/2024 12:36 PM - Junaid M
- Status changed from New Changes Coding Done to New Changes
- % Done changed from 70 to 50

Add new settings --> Sale And Refund

1. Counter Staff Credit Limit Checking Based On (Select box) Sysname ->
DONE - COUNTER_STAFF_CREDIT_LIMIT_CHECKING_BASED_ON
Options:

--Booking Staff (*default)

--Issue Staff

2.Admin settings->Assets

DONE - Depreciation Done Assets Value --Entrybox

DONE - Depreciation Done Assets Value % (Based on Purchase value)--Entrybox
DONE - Allow Edit "Depreciation Done Assets Value' in Assets Master - Checkbox
DONE - Allow Edit ‘Depreciation Done Assets Value® in Assets Purchase - Checkbox
DONE - Assets VAT Amount is Input tax(Need Input Tax(VAT) Posting) - Checkbox

#32 - 08/22/2024 02:02 PM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70
#33 - 08/23/2024 02:06 PM - Junaid M
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

GUI CHANGES

DONE - 1. Add Settings 'ASSET_SALE_WRITE_OFF_THEN_DEPRECIATION_CALCULATE'
DONE - 2. Add Spacing to section settings

#34 - 08/23/2024 05:41 PM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#35 - 08/26/2024 11:30 AM - unnikannan S
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

#36 - 08/29/2024 05:58 PM - unnikannan S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#37 - 09/25/2024 05:17 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear The Item Ancillary Fare From (Sale And Refund--Fare Components In GUI)

#38 - 09/26/2024 03:48 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#39 - 09/27/2024 08:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#40 - 11/11/2024 04:55 PM - Junaid M
NEW CHANGES

ADDED - Add Admin Settings in Sale and Refund Group
1. FARE_CHANGE_ALLOWED IN_AGAINST SALE
2. CONSIDER_SETTLED_INVOICE_IN_AGAINST_SALE

ADDED - Add Admin Settings in Issue and Cancel Group
1.ALLOWED_ISSUE_CANCEL_GUI_STYLE
2.DEFAULT ISSUE_CANCEL_GUI_STYLE

#41 - 11/11/2024 04:55 PM - Junaid M
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

#42 - 11/12/2024 10:53 AM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#43 - 11/21/2024 06:25 PM - Arathy PS

- Status changed from New Changes Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGES

ADDED - 1. Add admin settings in Paid cheque group
Allow multiple cheque book with same cheque no for a single bank - default untick

#44 - 11/23/2024 04:50 PM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#45 - 12/03/2024 04:21 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#46 - 12/12/2024 03:02 PM - Arathy PS
- Status changed from New Changes Testing Done to New Changes

- % Done changed from 90 to 50

CHANGES

FIXED - 1. Disable sub ledger option in the settlement label in general privileges.
TO DO IN RECEIVED CHEQUE - 2. Connect 'Maximum Days of PD Cheque Received Date' in received cheque.

#47 - 12/17/2024 09:58 AM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#48 - 01/03/2025 12:10 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

ADDED - 1. Add a group : credit limit
field: overdue calculation based on:
--Debit/Credit outstanding

--Debit & credit outstanding net
--Debit & credit net

SysName=> OVERDUE_CALCULATION_BASED_ON

#49 - 01/06/2025 10:35 AM - Arathy PS

- Assignee changed from Baseem Shan to Nawal Sidique

#50 - 01/07/2025 09:40 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#51 - 01/10/2025 04:52 PM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

New Changes
ADDED - 1)Add a group : File( Dynamic service grouping with restriction)
a)Cancelling(multi selectbox)-all issue should be in cancel state(default tick)

b)Completion(multi selectbox)-atleast one item from all services need to be issued/sold
-Issued item should be solded ,cancelled item should be refunded
c)closing (multi selectbox)- atleast one item from all services need to be issued/sold
-Isssued item should be solded ,cancelled item should be refunded

Settings Sys Name:-

FILE_OPEN_CANCEL_STATUS RESTRICTIONS
FILE_OPEN_COMPLETE_STATUS_RESTRICTIONS
FILE_OPEN_CLOSE_STATUS_RESTRICTIONS
TICKET_NO_DUPLICATION_ALLOWED_AFTER_PERIOD (In Sale&Refund Section)

#52 - 01/15/2025 09:40 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#53 - 01/20/2025 05:17 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes
- % Done changed from 70 to 50

New Changes

ADDED - In Admin Setting->Financial Report

Ageing Periods*B -> Tittle (Set Remarks in Blank DB)

D/Number Only->Days / M->Months(Allowed Days & Years or Months & Years), Y->YEARS (Eg: 30-60-90D-180D-360D-2Y-5Y then Columns: 1-30
Days | 31-60 Days | 61-90 Days | 91-180 Days | 181-360 Days | 361 Days - 2 Years | 2 - 5 Years | > 5 Years -> Max 10 Columns(Enter 9 - 10th
Column >***))

These changes will affect
-->All Ageing Reports
-->All SOAs -> Ageing Tab

#54 - 01/24/2025 10:49 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#55 - 01/25/2025 12:12 PM - Theja Ponon
- File clipboard-202501251211-2nprg.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

Admin Settings
#56 - 01/27/2025 10:11 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#57 - 01/28/2025 12:34 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1)In File(Dynamic Package with restriction) saving is possible without choosing any status restriction each section

#58 - 01/28/2025 03:38 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#59 - 02/12/2025 05:58 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

REMOVED- 1. Remove set fee/discount group.

#60 - 02/12/2025 06:18 PM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#61 - 02/17/2025 10:02 AM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#62 - 03/04/2025 12:21 PM - Arathy PS
- Status changed from New Changes Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

DONE - 1.Add a new item in the select field of the group set fee/discount : system type, also add an empty in the select section.

#63 - 03/04/2025 04:26 PM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

Files
